Closed Bug 573524 Opened 10 years ago Closed 9 years ago

intermittent: test_bug404320.html | tag was changed - "P" should equal "DL"

Categories

(Core :: DOM: Core & HTML, defect)

defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: dbaron, Assigned: mounir)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

No description provided.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277136579.1277139244.4263.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5

s: win32-slave22
46573 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46574 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46575 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46576 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46581 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46582 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
46583 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46584 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
46605 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46606 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46607 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46608 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46613 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46614 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
46615 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46616 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
I took a careful look at this, but I can't figure out what is happening.  The warning messages for the failing cases look similar, and different to the passing cases, but I can't make much sense out of them...
Oh, also note that I filed bug 573527 to actually correct the test for bug 404320 to test for the right thing.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277241802.1277244797.2004.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/06/22 14:23:22
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277383151.1277385146.28575.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/06/24 05:39:11
s: win32-slave41

46740 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46741 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46742 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46743 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DD"
46748 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46749 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
46750 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - "P" should equal "DL"
46751 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal "DT"
hmm very common; and only WINNT builders; this did fail the LAST 3 SeaMonkey windows boxen too.

latest log: http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1277767581.1277769284.18325.gz
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278638988.1278641672.30282.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/07/08 18:29:48

s: win32-slave57
46942 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - \"P\" should equal \"DL\"
46943 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal \"DD\"
46944 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - \"P\" should equal \"DL\"
46945 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal \"DD\"
46950 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - \"P\" should equal \"DL\"
46951 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal \"DT\"
46952 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - \"P\" should equal \"DL\"
46953 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug404320.html | tag was changed - undefined should equal \"DT\"
Ehsan, should we try at least to wait for onload before running this test?
Attached patch Patch v1Splinter Review
Let's see if this patch fix it.
Assignee: nobody → mounir.lamouri
Status: NEW → ASSIGNED
Attachment #487088 - Flags: review?(ehsan)
Comment on attachment 487088 [details] [diff] [review]
Patch v1

Yep, let's try this.
Attachment #487088 - Flags: review?(ehsan) → review+